<h2 class="mb-3">Registrieren</h2>
  <form name="form" (ngSubmit)="register()" #f="ngForm" novalidate *ngIf="!registerSuccess">
    <div class="form-group">
      <label for="firstName" class="required">Vorname</label>
      <input class="form-control"
             type="text" name="firstName"
             id="firstName" placeholder="Daniel"
             [(ngModel)]="user.firstName"
             #firstName="ngModel"
             required>
      <app-show-form-errors [control]="firstName"></app-show-form-errors>
    </div>
    <div class="form-group">
      <label for="lastName" class="required">Nachname</label>
      <input class="form-control"
             type="text" name="lastName"
             id="lastName" placeholder="Düsentrieb"
             [(ngModel)]="user.lastName"
             #lastName="ngModel"
             required>
      <app-show-form-errors [control]="lastName"></app-show-form-errors>
    </div>
    <div class="form-group">
      <label for="mail" class="required">E-Mail</label>
      <input class="form-control"
             type="email" name="mail"
             id="mail" placeholder="daniel@düsentrieb.de"
             [(ngModel)]="user.mail"
             #mail="ngModel"
             required email eosExistEmail>
  <app-show-form-errors [control]="mail"></app-show-form-errors>
</div>
<div class="form-group">
  <label for="password" class="required">Passwort</label>
  <input class="form-control"
         type="password"
         name="password"
         id="password"
         [(ngModel)]="user.userSystem.password"
         #password="ngModel"
         required eosPasswordStrength>
  <app-show-form-errors [control]="password"></app-show-form-errors>
</div>
<div class="form-group">
  <label for="confirmPassword" class="required">Passwort bestätigen</label>
  <input class="form-control"
         type="password"
         name="confirmPassword"
         id="confirmPassword"
         [(ngModel)]="user.userSystem.confirmPassword"
         #confirmPassword="ngModel"
         required eosEqualsValidator="password">
  <app-show-form-errors [control]="confirmPassword"></app-show-form-errors>
</div>
<div class="form-group">
  <div class="custom-control custom-switch">
    <input type="checkbox" class="custom-control-input"
           id="acceptTermsOfUse" aria-describedby="acceptTermsOfUseHelp"
           #termsOfUse="ngModel"
           name="acceptTermsOfUse" [(ngModel)]="user.acceptTermsOfUse" required>
    <label class="custom-control-label" for="acceptTermsOfUse">Ich akzeptiere die <a routerLink="/datenschutz">Nutzungbedingungen</a></label>
  </div>
  <app-show-form-errors [control]="termsOfUse"></app-show-form-errors>
</div>
<div class="form-group">
  <button [disabled]="loading" class="btn btn-primary btn-block">
    <i class="fas fa-sign-in-alt"></i> Account anlegen
    <span class="ml-3 spinner-grow spinner-grow-sm" *ngIf="loading" role="status" aria-hidden="true"></span>
    <span class="sr-only">laden...</span>
  </button>
</div>
</form>
<div *ngIf="registerSuccess">
  <alert type="success"><b>Du hast es fast geschafft.</b> Bestätige noch deine E-Mailadresse um dich einzuloggen. </alert>
</div>
<span><a routerLink="/start/login">Zurück zum Login</a></span>
<alert *ngIf="error" type="danger">{{errorMessage}}</alert>